MysqlndUhConnection::escapeString
MysqlndUhConnection::getErrorNumber
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getAffectedRows

Gets the number of affected rows in a previous MySQL operation

### Description

public int MysqlndUhConnection::getAffectedRows ( mysqlnd_connection `$connection` )

Gets the number of affected rows in a previous MySQL operation.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Number of affected rows.

### Examples

Example #1 MysqlndUhConnection::getAffectedRows example

`<?php
class proxy extends MysqlndUhConnection {
public function getAffectedRows($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getAffectedRows($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->query("DROP TABLE IF EXISTS test");
$mysqli->query("CREATE TABLE test(id INT)");
$mysqli->query("INSERT INTO test(id) VALUES (1)");
var_dump($mysqli->affected_rows);
?>`

The above example will output:

    proxy::getAffectedRows(array (
      0 => NULL,
    ))
    proxy::getAffectedRows returns 1
    int(1)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_affected_rows
- mysql_affected_rows